import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const ddzs_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddzs/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name,
        }
    })
export const ddzs_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddzs/add',
        data: {
            issubmit: '1',
            jdbg_dddx_ddzs: {
                ddzs_ssrw: data.ddzs_ssrw,
                ddzs_cjr: data.ddzs_cjr,
                ddzs_fzr: data.ddzs_fzr,
                ddzs_cjsj: data.ddzs_cjsj,
                ddzs_fkdx: data.ddzs_fkdx,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,

            }

        },
    })

export const ddzs_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddzs/edit',
        data: {
            issubmit: '1',
            ddzs_id: data.ddzs_id,
            jdbg_dddx_ddzs: {
                ddzs_ssrw: data.ddzs_ssrw,
                ddzs_cjr: data.ddzs_cjr,
                ddzs_fzr: data.ddzs_fzr,
                ddzs_cjsj: data.ddzs_cjsj,
                ddzs_fkdx: data.ddzs_fkdx,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,

            }

        },
    })

export const ddzs_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddzs/delete',
        data: {
            ddzs_id: data.ddzs_id
        },
    })






