import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data = {}) =>
  request({
    url: '/xdbg/gwgl_gwgd/index',
    data:{api: 'json',issubmit:1,page: choosePage,limit: 10},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/gwgl_gwgd/add',
  data: {api: 'json',issubmit: 1,xdbg_gwgl_gwgd:data}
});


/**以下接口都未使用到 */

//编辑接口
export const editApi = (xggId,data={}) => request({
  url: '/xdbg/gwgl_gwlb/edit',
  data: {api: 'json',issubmit: 1,xgg_id:xggId,xdbg_gwgl_gwlb:data}
});
//删除接口
export const deleteApi = (xggId) => request({
  url: '/xdbg/gwgl_gwlb/delete',
  data: {api: 'json',xgg_id:xggId}
});
//详情接口
export const detailApi = (xggId) => request({
  url: '/xdbg/gwgl_gwlb/detail',
  data: {api: 'json',issubmit:1,xgg_id:xggId}
})
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/gwgl_gwlb/index',
  data:{api: 'json',issubmit:1,keyword:keyIn_keyword}
})