import request from '@/utils/request';
import { useUserStore } from '@/stores/user';


/**此接口是公文归档的接口 这里替换为公文列表的接口*/
//列表数据
export const queryApi_disabled = (choosePage,data = {}) =>
  request({
    url: '/xdbg/gwgl_gwlb_gg/index',
    data:{api: 'json',issubmit:1,page: choosePage,limit: 10},
  });
// 添加接口  
export const addApi_disaled = (data = {}) => request({
  url: '/xdbg/gwgl_gwlb_gg/add',
  data: {api: 'json',issubmit: 1,xdbg_gwgl_gwlb_gg:data}
});
//编辑接口
export const editApi = (xggId,data={}) => request({
  url: '/xdbg/gwgl_gwlb_gg/edit',
  data: {api: 'json',issubmit: 1,xgg_id:xggId,xdbg_gwgl_gwlb:data}
});
//删除接口(废弃)
export const deleteApi_disaled = (xgggId) => request({
  url: '/xdbg/gwgl_gwlb_gg/delete',
  data: {api: 'json',xggg_id:xgggId}
});
//详情接口
export const detailApi = (xggId) => request({
  url: '/xdbg/gwgl_gwlb_gg/detail',
  data: {api: 'json',issubmit:1,xgg_id:xggId}
})
//搜索接口(未使用)
export const searchApi_disabled = (keyIn_keyword) => request({
  url: '/xdbg/gwgl_gwlb/index',
  data:{ api: 'json',issubmit:1,keyword:keyIn_keyword}
})
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/gwgl_gwlb_gg/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click();
}
//导入接口
// /xdbg/gwgl_gwlb_gg/index



// 公文列表的接口

//添加接口
export const addApi = (data = {}) => request({
  url: '/xdbg/gwgl_gwlb/add',
  data: {api: 'json',issubmit: 1,xdbg_gwgl_gwlb:data}
});

//搜索接口
export const searchApi = (keywordObj) => request({
  url: '/xdbg/gwgl_gwlb/index',
  data: keywordObj
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/gwgl_gwlb/delete',
  data: {api: 'json',xgg_id:chooseId}
});

