import { get, post } from '@/utils/requestbac';
import { useUserStore } from '@/stores/user';

//列表数据
export const queryApi = (choosePage,data={}) =>post('/xdbg/gwgl_gwlbgz/index',
  {api:'json',issubmit:1,limit: 10,page: choosePage}
  );
// 添加接口  
export const addApi = (data = {}) => post('/xdbg/gwgl_gwlbgz/add',
  {api:'json',issubmit: 1,xdbg_gwgl_gwlbgz:data}
);
//编辑接口
export const editApi = (chooseId,data={}) => post('/xdbg/gwgl_gwlbgz/edit',
  {issubmit: 1,xggg_id:chooseId,xdbg_gwgl_gwlbgz:data}
);
//详情接口
export const detailApi = (chooseId) => post('/xdbg/gwgl_gwlbgz/detail',
  {api:'json',issubmit: 1, xggg_id: chooseId }
);
//删除接口
export const deleteApi = (chooseId) => post('/xdbg/gwgl_gwlbgz/delete',
  {api:'json',issubmit: 1,xggg_id:chooseId}
);
//搜索接口
export const searchApi = (keyIn_keyword) => post({
  url: '/xdbg/gwgl_gwlbgz/index',
  data: {api:'json', issubmit: 1, keyword: keyIn_keyword }
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "xdbg/gwgl_gwlbgz/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
}

