import request from '@/utils/request'
export const jzda_list = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const jzda_add = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/add',
        data: {
            issubmit: '1',
            jdbg_jkdagl_jzgda: {
                jzda_xm: data.jzda_xm,
                jzda_gh: data.jzda_gh,
                jzda_wg: data.jzda_wg,
                jzda_nk: data.jzda_nk,
                jzda_wk: data.jzda_wk,
                jzda_yk: data.jzda_yk,
                jzda_xt: data.jzda_xt,
                jzda_sj: data.jzda_sj,
                jzda_xy: data.jzda_xy,
                jzda_xl: data.jzda_xl,
                jzda_ggn: data.jzda_ggn,
                jzda_xx: data.jzda_xx,

            }

        },
    })

export const jzda_edit = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/edit',
        data: {
            issubmit: '1',
            jzda_id: data.jzda_id,
            jdbg_jkdagl_jzgda: {
                jzda_xm: data.jzda_xm,
                jzda_gh: data.jzda_gh,
                jzda_wg: data.jzda_wg,
                jzda_nk: data.jzda_nk,
                jzda_wk: data.jzda_wk,
                jzda_yk: data.jzda_yk,
                jzda_xt: data.jzda_xt,
                jzda_sj: data.jzda_sj,
                jzda_xy: data.jzda_xy,
                jzda_xl: data.jzda_xl,
                jzda_ggn: data.jzda_ggn,
                jzda_xx: data.jzda_xx,
            }

        },
    })

export const jzda_del = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/delete',
        data: {
            jzda_id: data.jzda_id
        },
    })
export const jzda_detail = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/detail',
        data: {
            jzda_id: data.jzda_id
        },
    })
export const jzda_export = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_jzgda/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })




