import request from '@/utils/request'
export const xsda_list = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const xsda_add = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/add',
        data: {
            issubmit: '1',
            jdbg_jkdagl_xsda: {
                jxda_xm: data.jxda_xm,
                jxda_gh: data.jxda_gh,
                jxda_wg: data.jxda_wg,
                jxda_nk: data.jxda_nk,
                jxda_wk: data.jxda_wk,
                jxda_yk: data.jxda_yk,
                jxda_xt: data.jxda_xt,
                jxda_sj: data.jxda_sj,
                jxda_xy: data.jxda_xy,
                jxda_xl: data.jxda_xl,
                jxda_ggn: data.jxda_ggn,
                jxda_xx: data.jxda_xx,
                jxda_bj: data.jxda_bj,

            }

        },
    })

export const xsda_edit = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/edit',
        data: {
            issubmit: '1',
            jxda_id: data.jxda_id,
            jdbg_jkdagl_xsda: {
                jxda_xm: data.jxda_xm,
                jxda_gh: data.jxda_gh,
                jxda_wg: data.jxda_wg,
                jxda_nk: data.jxda_nk,
                jxda_wk: data.jxda_wk,
                jxda_yk: data.jxda_yk,
                jxda_xt: data.jxda_xt,
                jxda_sj: data.jxda_sj,
                jxda_xy: data.jxda_xy,
                jxda_xl: data.jxda_xl,
                jxda_ggn: data.jxda_ggn,
                jxda_xx: data.jxda_xx,
                jxda_bj: data.jxda_bj,
            }

        },
    })

export const xsda_del = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/delete',
        data: {
            jxda_id: data.jxda_id
        },
    })
export const xsda_detail = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/detail',
        data: {
            jxda_id: data.jxda_id
        },
    })

export const xsda_export = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_xsda/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })



