import request from '@/utils/request'
export const ldlc_list = (data = {}) =>
    request({
        url: '/jdbg/wjsj_ldlc/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jwl_tcbm: data.jwl_tcbm,
            jwl_tcbm_code: data.jwl_tcbm_code,
            jwl_trbm: data.jwl_trbm,
            jwl_trbm_code: data.jwl_trbm_code,
            jwl_tcgw: data.jwl_tcgw,
            jwl_tcgw_code: data.jwl_tcgw_code,
            jwl_trgw: data.jwl_trgw,
            jwl_trgw_code: data.jwl_trgw_code,
            jwl_thqzw: data.jwl_thqzw,
            jwl_tdqzw_code: data.jwl_tdqzw_code,
            jwl_tdhzw: data.jwl_tdhzw,
            jwl_tdhzw_code: data.jwl_tdhzw_code,
            jwl_tdyy: data.jwl_tdyy,
            jwl_tcczshzt: data.jwl_tcczshzt,
            jwl_tcbmldyj: data.jwl_tcbmldyj,
            jwl_trczshzt: data.jwl_trczshzt,
            jwl_trbmldyj: data.jwl_trbmldyj,

        }
    })
export const ldlc_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_ldlc/add',
        data: {
            issubmit: '1',
            jdbg_wjsj_ldlc: {
                jwl_ldjs: data.jwl_ldjs,
                jwl_ddsxrq: data.jwl_ddsxrq,
                jwl_tcbm: data.jwl_tcbm,
                jwl_tcbm_code: data.jwl_tcbm_code,
                jwl_trbm: data.jwl_trbm,
                jwl_trbm_code: data.jwl_trbm_code,
                jwl_tcgw: data.jwl_tcgw,
                jwl_tcgw_code: data.jwl_tcgw_code,
                jwl_trgw: data.jwl_trgw,
                jwl_trgw_code: data.jwl_trgw_code,
                jwl_thqzw: data.jwl_thqzw,
                jwl_tdqzw_code: data.jwl_tdqzw_code,
                jwl_tdhzw: data.jwl_tdhzw,
                jwl_tdhzw_code: data.jwl_tdhzw_code,
                jwl_tdyy: data.jwl_tdyy,
                jwl_tcczshzt: data.jwl_tcczshzt,
                jwl_tcbmldyj: data.jwl_tcbmldyj,
                jwl_trczshzt: data.jwl_trczshzt,
                jwl_trbmldyj: data.jwl_trbmldyj,
                jwl_lcsp_json: data.jwl_lcsp_json,
            }
        }
    })
export const ldlc_edit = (data = {}) =>
    request({
        url: '/jdbg/wjsj_ldlc/edit',
        data: {
            issubmit: '1',
            jwl_id: data.jwl_id,
            jdbg_wjsj_ldlc: {
                jwl_ldjs: data.jwl_ldjs,
                jwl_ddsxrq: data.jwl_ddsxrq,
                jwl_tcbm: data.jwl_tcbm,
                jwl_tcbm_code: data.jwl_tcbm_code,
                jwl_trbm: data.jwl_trbm,
                jwl_trbm_code: data.jwl_trbm_code,
                jwl_tcgw: data.jwl_tcgw,
                jwl_tcgw_code: data.jwl_tcgw_code,
                jwl_trgw: data.jwl_trgw,
                jwl_trgw_code: data.jwl_trgw_code,
                jwl_thqzw: data.jwl_thqzw,
                jwl_tdqzw_code: data.jwl_tdqzw_code,
                jwl_tdhzw: data.jwl_tdhzw,
                jwl_tdhzw_code: data.jwl_tdhzw_code,
                jwl_tdyy: data.jwl_tdyy,
                jwl_tcczshzt: data.jwl_tcczshzt,
                jwl_tcbmldyj: data.jwl_tcbmldyj,
                jwl_trczshzt: data.jwl_trczshzt,
                jwl_trbmldyj: data.jwl_trbmldyj,
                jwl_lcsp_json: data.jwl_lcsp_json,
            }
        }
    })