import request from '@/utils/request'
export const rzlc_list = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            wr_rzrq: data.wr_rzrq,
            wr_zt: data.wr_zt
        }
    })
export const rzlc_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/add',
        data: {
            issubmit: '1',
            jdbg_wjsj_rzlc: {
                wr_title: data.wr_title,
                wr_bmmc: data.wr_bmmc,
                wr_date: data.wr_date,
                wr_zt: data.wr_zt
            }
        }
    })
export const rzlc_edit = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/edit',
        data: {
            issubmit: '1',
            wr_id: data.wr_id,
            jdbg_wjsj_rzlc: {
                wr_title: data.wr_title,
                wr_bmmc: data.wr_bmmc,
                wr_date: data.wr_date,
                wr_zt: data.wr_zt
            }
        }
    })