import request from '@/utils/request'
export const zygx_list = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const zygx_add = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/add',
        data: {
            issubmit: '1',
            jdbg_qjyglxt_zyxxlb: {
                qyzy_name: data.qyzy_name,
                qyzy_zydz: data.qyzy_zydz,
                qyzy_zylx: data.qyzy_zylx,
                qyzy_zydx: data.qyzy_zydx,
                qyzy_scr: data.qyzy_scr,
                qyzy_scsj: data.qyzy_scsj,
                qyzy_njxk: data.qyzy_njxk,
                qyzy_cjr: data.qyzy_cjr,
                qyzy_cjsj: data.qyzy_cjsj,
                qyzy_gxlx: data.qyzy_gxlx,
            }
        }
    })
export const zygx_edit = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/edit',
        data: {
            issubmit: '1',
            qyzy_id: data.qyzy_id,
            jdbg_qjyglxt_zyxxlb: {
                qyzy_name: data.qyzy_name,
                qyzy_zydz: data.qyzy_zydz,
                qyzy_zylx: data.qyzy_zylx,
                qyzy_zydx: data.qyzy_zydx,
                qyzy_scr: data.qyzy_scr,
                qyzy_scsj: data.qyzy_scsj,
                qyzy_njxk: data.qyzy_njxk,
                qyzy_cjr: data.qyzy_cjr,
                qyzy_cjsj: data.qyzy_cjsj,
                qyzy_gxlx: data.qyzy_gxlx,
            }
        }
    })

export const zygx_del = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/delete',
        data: {
            issubmit: '1',
            qyzy_id: data.qyzy_id,

        }
    })
export const zygx_detail = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/detail',
        data: {
            issubmit: '1',
            qyzy_id: data.qyzy_id,

        }
    })
export const zygx_export = (data = {}) =>
    request({
        url: '/jdbg/qjyglxt_zyxxlb/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
