import request from '@/utils/request';

// 采购项目列表
export const cgxm_list = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/index',
        data,
    })
}

// 采购项目添加
export const cgxm_add = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/add',
        data: {
            site:'jnmf',
            issubmit: 1,
            jdbg_sbcg_cgxm: data.jdbg_sbcg_cgxm,
        }
    })
}

// 采购项目编辑
export const cgxm_edit = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/edit',
        data: {            
            jdbg_sbcg_cgxm: data.jdbg_sbcg_cgxm,
        }
    })
}

// 采购项目详情
export const cgxm_detail = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/detail',
        data,
    })
}

// 采购项目删除
export const cgxm_del = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_cgxm/delete',
        data,
    })
}

// 设备类型列表
export const sblx_list = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_sblx/index',
        data,
    })
}

export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })