import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
// 已办公文列表 先对应 公文移交列表 根据  xgyj_zt(传1表示代办 传2表示已办) + xgyj_yjz_use_id （传当前登录用户user_id） 字段取出

//列表接口
export const queryApi = (choosePage,userId,data = {}) =>
  request({
    url: '/xdbg/gwgl_gwyjlb/index',
    data:{api: 'json',issubmit:1,page: choosePage,limit: 10,xgyj_zt:2,xgyj_yjz_use_id:userId}
    // data:{api: 'json',issubmit:1,page: choosePage,limit: 10}
  });
// 添加接口（未使用）  
export const addApi = (data = {}) => request({
  url: '/xdbg/gwgl_gwyjlb/add',
  data: {api: 'json',issubmit: 1,xdbg_gwgl_gwyjlb:data}
});
//编辑接口（未使用）
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/gwgl_gwyjlb/edit',
  data: {api: 'json',issubmit: 1,xgyj_id:chooseId,xdbg_gwgl_gwyjlb:data}
});
//删除接口（使用中）
export const deleteApi = (chooseId) => request({
  url: '/xdbg/gwgl_gwyjlb/delete',
  data: {api: 'json',xgyj_id:chooseId}
});
//详情接口(未使用)
export const detailApi = (chooseId) => request({
  url: '/xdbg/gwgl_gwyjlb/detail',
  data: {api: 'json',issubmit:1,xgyj_id:chooseId}
})
//搜索接口(未使用)
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/gwgl_gwyjlb/index',
  data: { api: 'json', issubmit: 1, keyword: keyIn_keyword }
});
//导出接口(使用中)
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "xdbg/gwgl_gwyjlb/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
}