import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jjj_fzyj: data.jjj_fzyj,
            jjj_sjfx: data.jjj_sjfx,
            jjj_qxkz: data.jjj_qxkz,
            jjj_lclx: data.jjj_lclx,
            jjj_lclx_id: data.jjj_lclx_id,
            jjj_cjr: data.jjj_cjr,
            jjj_shr: data.jjj_shr,
            jjj_shr_id: data.jjj_shr_id,
            jjj_cjsj: data.jjj_cjsj
        }
    })

export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_jkdagl_bbtj: {
                jjj_name: data.jjj_name,
                jjj_fzyj: data.jjj_fzyj,
                jjj_sjfx: data.jjj_sjfx,
                jjj_qxkz: data.jjj_qxkz,
                jjj_lclx: data.jjj_lclx,
                jjj_lclx_id: data.jjj_lclx_id,
                jjj_cjr: data.jjj_cjr,
                jjj_shr: data.jjj_shr,
                jjj_shr_id: data.jjj_shr_id,
                jjj_cjsj: data.jjj_cjsj
            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/edit',
        data: {
            issubmit: '1',
            jjj_id: data.jjj_id,
            jdbg_jkdagl_bbtj: {
                jjj_name: data.jjj_name,
                jjj_fzyj: data.jjj_fzyj,
                jjj_sjfx: data.jjj_sjfx,
                jjj_qxkz: data.jjj_qxkz,
                jjj_lclx: data.jjj_lclx,
                jjj_lclx_id: data.jjj_lclx_id,
                jjj_cjr: data.jjj_cjr,
                jjj_shr: data.jjj_shr,
                jjj_shr_id: data.jjj_shr_id,
                jjj_cjsj: data.jjj_cjsj
            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/delete',
        data: {
            jjj_id: data.jjj_id
        },
    })

export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/detail',
        data: {
            jjj_id: data.jjj_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/jkdagl_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })