import request from '@/utils/request'
export const rzlc_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/add',
        data:{
            issubmit:'1',
            jdbg_wjsj_rzlc:{
                wr_title: data.wr_title,
                wr_bmmc: data.wr_bmmc,
                wr_date: data.wr_date,
                wr_zt: data.wr_zt,
                wr_rzyg: data.wr_rzyg,
                wr_rzbm: data.wr_rzbm,
                wr_rzgw: data.wr_rzgw,
                wr_rzjb: data.wr_rzjb,
                wr_rzrq: data.wr_rzrq,
                wr_rzygzt: data.wr_rzygzt,
                wr_gender: data.wr_gender,
                wr_jg:data.wr_jg,
                wr_xm:data.wr_xm,
                wr_hyzk:data.wr_hyzk,
                wr_csrq:data.wr_csrq,
                wr_mz:data.wr_mz,
                wr_zzmm:data.wr_zzmm,
                wr_jkzt:data.wr_jkzt,
                wr_xjzd:data.wr_xjzd,
                wr_sfzhm:data.wr_sfzhm,
                wr_xw:data.wr_xw,
                wr_xy:data.wr_xy,
                wr_xl:data.wr_xl,
                wr_cjgzxx:data.wr_cjgzxx,
                wr_zy:data.wr_zy,
                wr_rdsj:data.wr_rdsj,
                wr_sg:data.wr_sg,
                wr_tz:data.wr_tz,
                wr_csd:data.wr_csd,
                wr_hkxz:data.wr_hkxz,
                wr_hkszd:data.wr_hkszd,
                wr_hkszpcs:data.wr_hkszpcs,
                wr_lxdh:data.wr_lxdh,
                wr_yxdz:data.wr_yxdz,
                wr_jjlxr:data.wr_jjlxr,
                wr_jjlxrdh:data.wr_jjlxrdh,
                wr_qtlxfs:data.wr_qtlxfs,
                wr_lxdz:data.wr_lxdz,
                wr_gzjl_json:JSON.stringify(data.wr_gzjl_json),
                wr_jyjl_json:JSON.stringify(data.wr_jyjl_json),
                wr_zgzs_json:JSON.stringify(data.wr_zgzs_json)
            }
        }
    })
export const rzlc_detail = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/detail',
        data:{
            issubmit:'1',
            wr_id:data.wr_id
        }
    })
export const rzlc_edit = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/edit',
        data:{
            issubmit:'1',
            wr_id: data.wr_id,
            jdbg_wjsj_rzlc:{
                wr_title: data.wr_title,
                wr_bmmc: data.wr_bmmc,
                wr_date: data.wr_date,
                wr_zt: data.wr_zt,
                wr_rzyg: data.wr_rzyg,
                wr_rzbm: data.wr_rzbm,
                wr_rzgw: data.wr_rzgw,
                wr_rzjb: data.wr_rzjb,
                wr_rzrq: data.wr_rzrq,
                wr_rzygzt: data.wr_rzygzt,
                wr_gender: data.wr_gender,
                wr_jg:data.wr_jg,
                wr_xm:data.wr_xm,
                wr_hyzk:data.wr_hyzk,
                wr_csrq:data.wr_csrq,
                wr_mz:data.wr_mz,
                wr_zzmm:data.wr_zzmm,
                wr_jkzt:data.wr_jkzt,
                wr_xjzd:data.wr_xjzd,
                wr_sfzhm:data.wr_sfzhm,
                wr_xw:data.wr_xw,
                wr_xy:data.wr_xy,
                wr_xl:data.wr_xl,
                wr_cjgzxx:data.wr_cjgzxx,
                wr_zy:data.wr_zy,
                wr_rdsj:data.wr_rdsj,
                wr_sg:data.wr_sg,
                wr_tz:data.wr_tz,
                wr_csd:data.wr_csd,
                wr_hkxz:data.wr_hkxz,
                wr_hkszd:data.wr_hkszd,
                wr_hkszpcs:data.wr_hkszpcs,
                wr_lxdh:data.wr_lxdh,
                wr_yxdz:data.wr_yxdz,
                wr_jjlxr:data.wr_jjlxr,
                wr_jjlxrdh:data.wr_jjlxrdh,
                wr_qtlxfs:data.wr_qtlxfs,
                wr_lxdz:data.wr_lxdz,
                wr_gzjl_json:JSON.stringify(data.wr_gzjl_json),
                wr_jyjl_json:JSON.stringify(data.wr_jyjl_json),
                wr_zgzs_json:JSON.stringify(data.wr_zgzs_json)
            }
        }
    })