import request from '@/utils/request'
export const txlc_list = (data = {}) =>
    request({
        url: '/jdbg/wjsj_txlc/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const txlc_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_txlc/add',
        data: {
            issubmit: '1',
            jdbg_wjsj_txlc: {
                wtx_txry: data.wtx_txry,
                wtx_ssbm: data.wtx_ssbm,
                wtx_rzrq: data.wtx_rzrq,
                wtx_sqlzrq: data.wtx_sqlzrq,
                wtx_pzlzrq: data.wtx_pzlzrq,
                wtx_bmldyj: data.wtx_bmldyj,
                wtx_rlzybyj: data.wtx_rlzybyj,
                wtx_bz: data.wtx_bz,

            }
        }
    })
export const txlc_edit = (data = {}) =>
    request({
        url: '/jdbg/wjsj_txlc/edit',
        data: {
            issubmit: '1',
            wtx_id: data.wtx_id,
            jdbg_wjsj_txlc: {
                wtx_txry: data.wtx_txry,
                wtx_ssbm: data.wtx_ssbm,
                wtx_rzrq: data.wtx_rzrq,
                wtx_sqlzrq: data.wtx_sqlzrq,
                wtx_pzlzrq: data.wtx_pzlzrq,
                wtx_bmldyj: data.wtx_bmldyj,
                wtx_rlzybyj: data.wtx_rlzybyj,
                wtx_bz: data.wtx_bz,
            }
        }
    })
export const txlc_del = (data = {}) =>
    request({
        url: '/jdbg/wjsj_txlc/delete',
        data: {
            wtx_id: data.wtx_id
        }
    })