import request from '@/utils/request'
export const ydlb_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdx_xsxh: data.xdx_xsxh,
            xdx_zjlx: data.xdx_zjlx,
            xdx_zym: data.xdx_zym,
            xdx_zjhm: data.xdx_zjhm,
            xdx_jg: data.xdx_jg,
            xdx_xb: data.xdx_xb,
            xdx_mz: data.xdx_mz,
            xdx_zzmm: data.xdx_zzmm,
            xdx_whcd: data.xdx_whcd,
            xdx_szzb: data.xdx_szzb,
            xdx_szdxz: data.xdx_szdxz,
            xdx_jtzz: data.xdx_jtzz,
            xdx_xxdz: data.xdx_xxdz,
            xdx_lxfs: data.xdx_lxfs,
            xdx_ahtc: data.xdx_ahtc,
            xdx_yddqzt: data.xdx_yddqzt,
            grade_id: data.grade_id,
            class_id: data.class_id,
            grade_name: data.grade_name,
            class_name: data.class_name,
            xdx_nl: data.xdx_nl,
            xdx_xx: data.xdx_xx,
        }
    })

export const ydlb_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const ydlb_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/edit',
        data: {
            issubmit: '1',
            xdx_id: data.xdx_id,
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const ydlb_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/detail',
        data: {
            xdx_id: data.xdx_id,

        },
    })

export const ydlb_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/delete',
        data: {
            xdx_id: data.xdx_id
        },
    })

export const ydlb_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const jtcy_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdxj_xm: data.xdxj_xm,
            xdxj_zzmm: data.xdxj_zzmm,
            xdxj_gzdw: data.xdxj_gzdw,
            xdxj_zw: data.xdxj_zw,
            xdxj_sjhm: data.xdxj_sjhm,

        }
    })

export const jtcy_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsxjk_jtcy: {
                xdxj_cw: data.xdxj_cw,
                xdxj_xm: data.xdxj_xm,
                xdxj_zzmm: data.xdxj_zzmm,
                xdxj_gzdw: data.xdxj_gzdw,
                xdxj_zw: data.xdxj_zw,
                xdxj_sjhm: data.xdxj_sjhm,

            }

        },
    })

export const jtcy_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/edit',
        data: {
            issubmit: '1',
            xdxj_id: data.xdxj_id,
            xddy_dygl_xsxjk_jtcy: {
                xdxj_cw: data.xdxj_cw,
                xdxj_xm: data.xdxj_xm,
                xdxj_zzmm: data.xdxj_zzmm,
                xdxj_gzdw: data.xdxj_gzdw,
                xdxj_zw: data.xdxj_zw,
                xdxj_sjhm: data.xdxj_sjhm,
            }

        },
    })

export const jtcy_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/detail',
        data: {
            xdxj_id: data.xdxj_id,

        },
    })

export const jtcy_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/delete',
        data: {
            xdxj_id: data.xdxj_id
        },
    })

export const jtcy_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk_jtcy/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const team_search = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,
        }
    })
